nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | List of all members
MotionDataPicture Class Reference
Inheritance diagram for MotionDataPicture:

## Public Member Functions
virtual void * | queryInterface (const nxpl::NX_GUID &interfaceID) override
| Implementation of nxpl::PluginInterface::queryInterface.
virtual int | addRef () const override
| Implementation of nxpl::PluginInterface::addRef.
virtual int | releaseRef () const override
| Implementation of nxpl::PluginInterface::releaseRef.
virtual nxcip::PixelFormat | pixelFormat () const override
| Returns pixel format.
virtual int | planeCount () const override
| Returns number of planes in picture (this depends on format)
virtual int | width () const override
| Width (pixels)
virtual int | height () const override
| Height (pixels)
virtual int | xStride (int planeNumber) const override
| Length of horizontal line in bytes.
virtual const void * | scanLine (int planeNumber, int lineNumber) const override
| Returns pointer to horizontal line lineNumber (starting with 0)
virtual void * | scanLine (int planeNumber, int lineNumber) override
| Returns pointer to horizontal line lineNumber (starting with 0) of plane planeNumber.
virtual void * | data () override
virtual const void * | data () const override
void | setPixel (int x, int y, int val)
void | fillRect (int x, int y, int width, int height, int val)

## Member Function Documentation

## ◆ data() [1/2]

void * MotionDataPicture::data | ( |  | ) |
| overridevirtual

Returns
  Picture data. Returned buffer MUST be aligned on MEDIA_DATA_BUFFER_ALIGNMENT - byte boundary (this restriction helps for some optimization). nx::kit::utils::mallocAligned and nx::kit::utils::freeAligned routines can be used for that purpose

Implements nxcip::Picture.

## ◆ data() [2/2]

const void * MotionDataPicture::data | ( |  | ) | const
| overridevirtual

Returns
  MotionDataPicture data. Returned buffer MUST be aligned on MEDIA_DATA_BUFFER_ALIGNMENT - byte boundary (this restriction helps for some optimization). nx::kit::utils::mallocAligned and nx::kit::utils::freeAligned routines can be used for that purpose

Implements nxcip::Picture.

The documentation for this class was generated from the following files:

- samples/device/image_library_plugin/src/motion_data_picture.h
- samples/device/image_library_plugin/src/motion_data_picture.cpp